# Created by: Danilo Egea Gondolfo <danilo@FreeBSD.org>

PORTNAME=	eksctl
PORTVERSION=	0.30.0
PORTREVISION=	1
CATEGORIES=	sysutils

MAINTAINER=	danilo@FreeBSD.org
COMMENT=	CLI for Amazon EKS

LICENSE=	APACHE20

RUN_DEPENDS=	kubectl:sysutils/kubectl \
		aws-iam-authenticator:security/aws-iam-authenticator

USES=		go:modules

PORTSCOUT=	limit:^[0-9\.]*$$

USE_GITHUB=	yes
GH_ACCOUNT=	weaveworks

GH_TUPLE=	\
		Azure:azure-pipeline-go:v0.2.1:azure_azure_pipeline_go/vendor/github.com/Azure/azure-pipeline-go \
		Azure:azure-sdk-for-go:v32.5.0:azure_azure_sdk_for_go/vendor/github.com/Azure/azure-sdk-for-go \
		Azure:azure-storage-blob-go:v0.8.0:azure_azure_storage_blob_go/vendor/github.com/Azure/azure-storage-blob-go \
		Azure:go-autorest:v14.0.0:azure_go_autorest/vendor/github.com/Azure/go-autorest \
		BurntSushi:toml:v0.3.1:burntsushi_toml/vendor/github.com/BurntSushi/toml \
		Djarvur:go-err113:af658d038157:djarvur_go_err113/vendor/github.com/Djarvur/go-err113 \
		Masterminds:semver:v3.1.0:masterminds_semver_v3/vendor/github.com/Masterminds/semver/v3 \
		OpenPeeDeeP:depguard:v1.0.1:openpeedeep_depguard/vendor/github.com/OpenPeeDeeP/depguard \
		PuerkitoBio:purell:v1.1.1:puerkitobio_purell/vendor/github.com/PuerkitoBio/purell \
		PuerkitoBio:urlesc:de5bf2ad4578:puerkitobio_urlesc/vendor/github.com/PuerkitoBio/urlesc \
		apex:log:v1.1.4:apex_log/vendor/github.com/apex/log \
		aws:aws-sdk-go:v1.35.4:aws_aws_sdk_go/vendor/github.com/aws/aws-sdk-go \
		bazelbuild:bazel-gazelle:70208cbdc798:bazelbuild_bazel_gazelle/vendor/github.com/bazelbuild/bazel-gazelle \
		bazelbuild:buildtools:69366ca98f89:bazelbuild_buildtools/vendor/github.com/bazelbuild/buildtools \
		benjamintf1:unmarshalledmatchers:bb1c1f34eaea:benjamintf1_unmarshalledmatchers/vendor/github.com/benjamintf1/unmarshalledmatchers \
		beorn7:perks:v1.0.0:beorn7_perks/vendor/github.com/beorn7/perks \
		blakesmith:ar:809d4375e1fb:blakesmith_ar/vendor/github.com/blakesmith/ar \
		blang:semver:v3.5.1:blang_semver/vendor/github.com/blang/semver \
		bombsimon:wsl:v3.0.0:bombsimon_wsl_v3/vendor/github.com/bombsimon/wsl/v3 \
		bxcodec:faker:v2.0.1:bxcodec_faker/vendor/github.com/bxcodec/faker \
		caarlos0:ctrlc:v1.0.0:caarlos0_ctrlc/vendor/github.com/caarlos0/ctrlc \
		campoy:unique:88950e537e7e:campoy_unique/vendor/github.com/campoy/unique \
		cavaliercoder:go-cpio:925f9528c45e:cavaliercoder_go_cpio/vendor/github.com/cavaliercoder/go-cpio \
		census-instrumentation:opencensus-go:v0.22.2:census_instrumentation_opencensus_go/vendor/go.opencensus.io \
		christopherhein:go-version:v0.1.0:christopherhein_go_version/vendor/go.hein.dev/go-version \
		client9:misspell:v0.3.4:client9_misspell/vendor/github.com/client9/misspell \
		cloudflare:cfssl:633726f6bcb7:cloudflare_cfssl/vendor/github.com/cloudflare/cfssl \
		coreos:etcd:v3.3.17:coreos_etcd/vendor/github.com/coreos/etcd \
		coreos:go-semver:v0.3.0:coreos_go_semver/vendor/github.com/coreos/go-semver \
		dave:jennifer:v1.3.0:dave_jennifer/vendor/github.com/dave/jennifer \
		davecgh:go-spew:v1.1.1:davecgh_go_spew/vendor/github.com/davecgh/go-spew \
		denverdino:aliyungo:2581e433b270:denverdino_aliyungo/vendor/github.com/denverdino/aliyungo \
		dgrijalva:jwt-go:v3.2.0:dgrijalva_jwt_go/vendor/github.com/dgrijalva/jwt-go \
		dimchansky:utfbom:v1.1.0:dimchansky_utfbom/vendor/github.com/dimchansky/utfbom \
		dlespiau:kube-test-harness:ec3f93e1a754:dlespiau_kube_test_harness/vendor/github.com/dlespiau/kube-test-harness \
		docker:spdystream:6480d4af844c:docker_spdystream/vendor/github.com/docker/spdystream \
		dominikh:go-tools:v0.0.1-2020.1.3:dominikh_go_tools/vendor/honnef.co/go/tools \
		dustin:go-humanize:v1.0.0:dustin_go_humanize/vendor/github.com/dustin/go-humanize \
		emicklei:go-restful:v2.9.5:emicklei_go_restful/vendor/github.com/emicklei/go-restful \
		evanphx:json-patch:v4.5.0:evanphx_json_patch/vendor/github.com/evanphx/json-patch \
		fatih:color:v1.9.0:fatih_color/vendor/github.com/fatih/color \
		fluxcd:flux:873fb9300996:fluxcd_flux_install/vendor/github.com/fluxcd/flux \
		fluxcd:go-git-providers:v0.0.2:fluxcd_go_git_providers/vendor/github.com/fluxcd/go-git-providers \
		fluxcd:helm-operator:8d71b0072a3e:fluxcd_helm_operator_install/vendor/github.com/fluxcd/helm-operator \
		fsnotify:fsnotify:v1.4.9:fsnotify_fsnotify/vendor/github.com/fsnotify/fsnotify \
		ghodss:yaml:v1.0.0:ghodss_yaml/vendor/github.com/ghodss/yaml \
		github-release:github-release:v0.8.1:github_release_github_release/vendor/github.com/github-release/github-release \
		go-critic:go-critic:v0.4.1:go_critic_go_critic/vendor/github.com/go-critic/go-critic \
		go-gcfg:gcfg:v1.2.0:go_gcfg_gcfg/vendor/gopkg.in/gcfg.v1 \
		go-inf:inf:v0.9.1:go_inf_inf/vendor/gopkg.in/inf.v0 \
		go-ini:ini:v1.25.4:go_ini_ini/vendor/github.com/go-ini/ini \
		go-ini:ini:v1.51.0:go_ini_ini_1/vendor/gopkg.in/ini.v1 \
		go-lintpack:lintpack:v0.5.2:go_lintpack_lintpack/vendor/github.com/go-lintpack/lintpack \
		go-openapi:jsonpointer:v0.19.3:go_openapi_jsonpointer/vendor/github.com/go-openapi/jsonpointer \
		go-openapi:jsonreference:v0.19.2:go_openapi_jsonreference/vendor/github.com/go-openapi/jsonreference \
		go-openapi:spec:v0.19.2:go_openapi_spec/vendor/github.com/go-openapi/spec \
		go-openapi:swag:v0.19.5:go_openapi_swag/vendor/github.com/go-openapi/swag \
		go-stack:stack:v1.8.0:go_stack_stack/vendor/github.com/go-stack/stack \
		go-tomb:tomb:dd632973f1e7:go_tomb_tomb/vendor/gopkg.in/tomb.v1 \
		go-toolsmith:astcast:v1.0.0:go_toolsmith_astcast/vendor/github.com/go-toolsmith/astcast \
		go-toolsmith:astcopy:v1.0.0:go_toolsmith_astcopy/vendor/github.com/go-toolsmith/astcopy \
		go-toolsmith:astequal:v1.0.0:go_toolsmith_astequal/vendor/github.com/go-toolsmith/astequal \
		go-toolsmith:astfmt:v1.0.0:go_toolsmith_astfmt/vendor/github.com/go-toolsmith/astfmt \
		go-toolsmith:astp:v1.0.0:go_toolsmith_astp/vendor/github.com/go-toolsmith/astp \
		go-toolsmith:strparse:v1.0.0:go_toolsmith_strparse/vendor/github.com/go-toolsmith/strparse \
		go-toolsmith:typep:v1.0.0:go_toolsmith_typep/vendor/github.com/go-toolsmith/typep \
		go-warnings:warnings:v0.1.1:go_warnings_warnings/vendor/gopkg.in/warnings.v0 \
		go-yaml:yaml:9f266ea9e77c:go_yaml_yaml_1/vendor/gopkg.in/yaml.v3 \
		go-yaml:yaml:v2.3.0:go_yaml_yaml/vendor/gopkg.in/yaml.v2 \
		gobwas:glob:v0.2.3:gobwas_glob/vendor/github.com/gobwas/glob \
		gofrs:flock:v0.7.1:gofrs_flock/vendor/github.com/gofrs/flock \
		gogo:protobuf:65acae22fc9d:gogo_protobuf/vendor/github.com/gogo/protobuf \
		golang:appengine:v1.6.5:golang_appengine/vendor/google.golang.org/appengine \
		golang:crypto:bac4c82f6975:golang_crypto/vendor/golang.org/x/crypto \
		golang:groupcache:869f871628b6:golang_groupcache/vendor/github.com/golang/groupcache \
		golang:mod:v0.2.0:golang_mod/vendor/golang.org/x/mod \
		golang:net:59133d7f0dd7:golang_net/vendor/golang.org/x/net \
		golang:oauth2:bf48bf16ab8d:golang_oauth2/vendor/golang.org/x/oauth2 \
		golang:protobuf:v1.4.2:golang_protobuf/vendor/github.com/golang/protobuf \
		golang:sync:cd5d95a43a6e:golang_sync/vendor/golang.org/x/sync \
		golang:sys:fe76b779f299:golang_sys/vendor/golang.org/x/sys \
		golang:text:v0.3.2:golang_text/vendor/golang.org/x/text \
		golang:time:555d28b269f0:golang_time/vendor/golang.org/x/time \
		golang:tools:ed308ab3e770:golang_tools/vendor/golang.org/x/tools \
		golang:xerrors:9bdfabe68543:golang_xerrors/vendor/golang.org/x/xerrors \
		golangci:check:cfe4005ccda2:golangci_check/vendor/github.com/golangci/check \
		golangci:dupl:3e9179ac440a:golangci_dupl/vendor/github.com/golangci/dupl \
		golangci:errcheck:ef45e06d44b6:golangci_errcheck/vendor/github.com/golangci/errcheck \
		golangci:go-misc:927a3d87b613:golangci_go_misc/vendor/github.com/golangci/go-misc \
		golangci:goconst:041c5f2b40f3:golangci_goconst/vendor/github.com/golangci/goconst \
		golangci:gocyclo:2becd97e67ee:golangci_gocyclo/vendor/github.com/golangci/gocyclo \
		golangci:gofmt:244bba706f1a:golangci_gofmt/vendor/github.com/golangci/gofmt \
		golangci:golangci-lint:v1.27.0:golangci_golangci_lint/vendor/github.com/golangci/golangci-lint \
		golangci:ineffassign:42439a7714cc:golangci_ineffassign/vendor/github.com/golangci/ineffassign \
		golangci:lint-1:297bf364a8e0:golangci_lint_1/vendor/github.com/golangci/lint-1 \
		golangci:maligned:b1d89398deca:golangci_maligned/vendor/github.com/golangci/maligned \
		golangci:misspell:950f5d19e770:golangci_misspell/vendor/github.com/golangci/misspell \
		golangci:prealloc:215b22d4de21:golangci_prealloc/vendor/github.com/golangci/prealloc \
		golangci:revgrep:d9c87f5ffaf0:golangci_revgrep/vendor/github.com/golangci/revgrep \
		golangci:unconvert:28b1c447d1f4:golangci_unconvert/vendor/github.com/golangci/unconvert \
		google:certificate-transparency-go:v1.0.21:google_certificate_transparency_go/vendor/github.com/google/certificate-transparency-go \
		google:go-cloud:v0.19.0:google_go_cloud/vendor/gocloud.dev \
		google:go-cmp:v0.4.0:google_go_cmp/vendor/github.com/google/go-cmp \
		google:go-genproto:fa694d86fc64:google_go_genproto/vendor/google.golang.org/genproto \
		google:go-github:v28.1.1:google_go_github_v28/vendor/github.com/google/go-github/v28 \
		google:go-github:v32.1.0:google_go_github_v32/vendor/github.com/google/go-github/v32 \
		google:go-querystring:v1.0.0:google_go_querystring/vendor/github.com/google/go-querystring \
		google:gofuzz:v1.0.0:google_gofuzz/vendor/github.com/google/gofuzz \
		google:rpmpack:aa36bfddb3a0:google_rpmpack/vendor/github.com/google/rpmpack \
		google:uuid:v1.1.1:google_uuid/vendor/github.com/google/uuid \
		google:wire:v0.3.0:google_wire/vendor/github.com/google/wire \
		googleapis:gax-go:v2.0.2:googleapis_gax_go/vendor/github.com/googleapis/gax-go \
		googleapis:gax-go:v2.0.5:googleapis_gax_go_v2 \
		googleapis:gnostic:v0.3.1:googleapis_gnostic/vendor/github.com/googleapis/gnostic \
		googleapis:google-api-go-client:v0.9.0:googleapis_google_api_go_client/vendor/google.golang.org/api \
		googleapis:google-cloud-go:v0.44.3:googleapis_google_cloud_go/vendor/cloud.google.com/go \
		gophercloud:gophercloud:v0.1.0:gophercloud_gophercloud/vendor/github.com/gophercloud/gophercloud \
		goreleaser:goreleaser:v0.136.0:goreleaser_goreleaser/vendor/github.com/goreleaser/goreleaser \
		goreleaser:nfpm:v1.2.1:goreleaser_nfpm/vendor/github.com/goreleaser/nfpm \
		gostaticanalysis:analysisutil:v0.0.3:gostaticanalysis_analysisutil/vendor/github.com/gostaticanalysis/analysisutil \
		gregjones:httpcache:901d90724c79:gregjones_httpcache/vendor/github.com/gregjones/httpcache \
		grpc:grpc-go:v1.23.0:grpc_grpc_go/vendor/google.golang.org/grpc \
		hashicorp:errwrap:d6c0cd880357:hashicorp_errwrap/vendor/github.com/hashicorp/errwrap \
		hashicorp:go-cleanhttp:v0.5.1:hashicorp_go_cleanhttp/vendor/github.com/hashicorp/go-cleanhttp \
		hashicorp:go-multierror:3d5d8f294aa0:hashicorp_go_multierror/vendor/github.com/hashicorp/go-multierror \
		hashicorp:go-retryablehttp:v0.6.4:hashicorp_go_retryablehttp/vendor/github.com/hashicorp/go-retryablehttp \
		hashicorp:go-version:v1.2.0:hashicorp_go_version/vendor/github.com/hashicorp/go-version \
		hashicorp:golang-lru:v0.5.1:hashicorp_golang_lru/vendor/github.com/hashicorp/golang-lru \
		hashicorp:hcl:v1.0.0:hashicorp_hcl/vendor/github.com/hashicorp/hcl \
		imdario:mergo:v0.3.9:imdario_mergo/vendor/github.com/imdario/mergo \
		inconshreveable:log15:b30bc20e4fd1:inconshreveable_log15/vendor/github.com/inconshreveable/log15 \
		inconshreveable:mousetrap:v1.0.0:inconshreveable_mousetrap/vendor/github.com/inconshreveable/mousetrap \
		instrumenta:kubeval:8d013ec9fc56:instrumenta_kubeval/vendor/github.com/instrumenta/kubeval \
		jingyugao:rowserrcheck:72ab7603b68a:jingyugao_rowserrcheck/vendor/github.com/jingyugao/rowserrcheck \
		jirfag:go-printf-func-name:45db9963cdd3:jirfag_go_printf_func_name/vendor/github.com/jirfag/go-printf-func-name \
		jmespath:go-jmespath:v0.4.0:jmespath_go_jmespath/vendor/github.com/jmespath/go-jmespath \
		json-iterator:go:v1.1.7:json_iterator_go/vendor/github.com/json-iterator/go \
		jteeuwen:go-bindata:a0ff2567cfb7:jteeuwen_go_bindata/vendor/github.com/jteeuwen/go-bindata \
		justinbarrick:go-k8s-portforward:v1.0.3:justinbarrick_go_k8s_portforward/vendor/github.com/justinbarrick/go-k8s-portforward \
		kballard:go-shellquote:95032a82bc51:kballard_go_shellquote/vendor/github.com/kballard/go-shellquote \
		kevinburke:go-bindata:v3.15.0:kevinburke_go_bindata/vendor/github.com/kevinburke/go-bindata \
		kevinburke:rest:0d2892b400f8:kevinburke_rest/vendor/github.com/kevinburke/rest \
		kisielk:gotool:v1.0.0:kisielk_gotool/vendor/github.com/kisielk/gotool \
		konsorten:go-windows-terminal-sequences:v1.0.1:konsorten_go_windows_terminal_sequences/vendor/github.com/konsorten/go-windows-terminal-sequences \
		kr:fs:v0.1.0:kr_fs/vendor/github.com/kr/fs \
		kris-nova:logger:fd0d87064b06:kris_nova_logger/vendor/github.com/kris-nova/logger \
		kris-nova:lolgopher:313b3abb0d9b:kris_nova_lolgopher/vendor/github.com/kris-nova/lolgopher \
		kubernetes-sigs:aws-iam-authenticator:v0.5.0:kubernetes_sigs_aws_iam_authenticator/vendor/sigs.k8s.io/aws-iam-authenticator \
		kubernetes-sigs:kustomize:v2.0.3:kubernetes_sigs_kustomize/vendor/sigs.k8s.io/kustomize \
		kubernetes-sigs:yaml:v1.2.0:kubernetes_sigs_yaml/vendor/sigs.k8s.io/yaml \
		kubernetes:api:v0.16.8:kubernetes_api/vendor/k8s.io/api \
		kubernetes:apiextensions-apiserver:v0.16.8:kubernetes_apiextensions_apiserver_1/vendor/k8s.io/apiextensions-apiserver \
		kubernetes:apimachinery:v0.16.8:kubernetes_apimachinery/vendor/k8s.io/apimachinery \
		kubernetes:apiserver:v0.16.8:kubernetes_apiserver/vendor/k8s.io/apiserver \
		kubernetes:cli-runtime:v0.16.8:kubernetes_cli_runtime_1/vendor/k8s.io/cli-runtime \
		kubernetes:client-go:v0.16.8:kubernetes_client_go_1/vendor/k8s.io/client-go \
		kubernetes:cloud-provider:v0.16.8:kubernetes_cloud_provider/vendor/k8s.io/cloud-provider \
		kubernetes:cluster-bootstrap:v0.16.8:kubernetes_cluster_bootstrap/vendor/k8s.io/cluster-bootstrap \
		kubernetes:code-generator:v0.16.8:kubernetes_code_generator_1/vendor/k8s.io/code-generator \
		kubernetes:component-base:v0.16.8:kubernetes_component_base_1/vendor/k8s.io/component-base \
		kubernetes:cri-api:v0.16.8:kubernetes_cri_api/vendor/k8s.io/cri-api \
		kubernetes:csi-translation-lib:v0.16.8:kubernetes_csi_translation_lib/vendor/k8s.io/csi-translation-lib \
		kubernetes:gengo:26a664648505:kubernetes_gengo/vendor/k8s.io/gengo \
		kubernetes:klog:v1.0.0:kubernetes_klog/vendor/k8s.io/klog \
		kubernetes:kops:v1.15.2:kubernetes_kops/vendor/k8s.io/kops \
		kubernetes:kube-aggregator:v0.16.8:kubernetes_kube_aggregator/vendor/k8s.io/kube-aggregator \
		kubernetes:kube-controller-manager:v0.16.8:kubernetes_kube_controller_manager/vendor/k8s.io/kube-controller-manager \
		kubernetes:kube-openapi:743ec37842bf:kubernetes_kube_openapi/vendor/k8s.io/kube-openapi \
		kubernetes:kube-proxy:v0.16.8:kubernetes_kube_proxy/vendor/k8s.io/kube-proxy \
		kubernetes:kube-scheduler:v0.16.8:kubernetes_kube_scheduler/vendor/k8s.io/kube-scheduler \
		kubernetes:kubectl:v0.16.8:kubernetes_kubectl/vendor/k8s.io/kubectl \
		kubernetes:kubelet:v0.16.8:kubernetes_kubelet_1/vendor/k8s.io/kubelet \
		kubernetes:kubernetes:v1.16.8:kubernetes_kubernetes_1/vendor/k8s.io/kubernetes \
		kubernetes:legacy-cloud-providers:v0.16.8:kubernetes_legacy_cloud_providers_1/vendor/k8s.io/legacy-cloud-providers \
		kubernetes:metrics:v0.16.8:kubernetes_metrics/vendor/k8s.io/metrics \
		kubernetes:sample-apiserver:v0.16.8:kubernetes_sample_apiserver/vendor/k8s.io/sample-apiserver \
		kubernetes:sample-controller:f9c23632fb31:kubernetes_sample_controller/vendor/k8s.io/sample-controller \
		kubernetes:utils:581e00157fb1:kubernetes_utils/vendor/k8s.io/utils \
		kubicorn:kubicorn:06f6bce92acc:kubicorn_kubicorn/vendor/github.com/kubicorn/kubicorn \
		lithammer:dedent:v1.1.0:lithammer_dedent/vendor/github.com/lithammer/dedent \
		magiconair:properties:v1.8.1:magiconair_properties/vendor/github.com/magiconair/properties \
		mailru:easyjson:b2ccc519800e:mailru_easyjson/vendor/github.com/mailru/easyjson \
		maratori:testpackage:v1.0.1:maratori_testpackage/vendor/github.com/maratori/testpackage \
		matoous:godox:5d6d842e92eb:matoous_godox/vendor/github.com/matoous/godox \
		mattn:go-colorable:v0.1.4:mattn_go_colorable/vendor/github.com/mattn/go-colorable \
		mattn:go-ieproxy:91bb50d98149:mattn_go_ieproxy/vendor/github.com/mattn/go-ieproxy \
		mattn:go-isatty:v0.0.11:mattn_go_isatty/vendor/github.com/mattn/go-isatty \
		mattn:go-shellwords:v1.0.10:mattn_go_shellwords/vendor/github.com/mattn/go-shellwords \
		mattn:go-zglob:v0.0.1:mattn_go_zglob/vendor/github.com/mattn/go-zglob \
		matttproud:golang_protobuf_extensions:v1.0.1:matttproud_golang_protobuf_extensions/vendor/github.com/matttproud/golang_protobuf_extensions \
		miekg:coredns:20e25559d5ea:miekg_coredns/vendor/github.com/miekg/coredns \
		miekg:dns:v1.1.4:miekg_dns/vendor/github.com/miekg/dns \
		mitchellh:go-homedir:v1.1.0:mitchellh_go_homedir/vendor/github.com/mitchellh/go-homedir \
		mitchellh:mapstructure:v1.1.2:mitchellh_mapstructure/vendor/github.com/mitchellh/mapstructure \
		modern-go:concurrent:bacd9c7ef1dd:modern_go_concurrent/vendor/github.com/modern-go/concurrent \
		modern-go:reflect2:v1.0.1:modern_go_reflect2/vendor/github.com/modern-go/reflect2 \
		mvdan:interfacer:c20040233aed:mvdan_interfacer/vendor/mvdan.cc/interfacer \
		mvdan:lint:adc824a0674b:mvdan_lint/vendor/mvdan.cc/lint \
		mvdan:unparam:d51796306d8f:mvdan_unparam/vendor/mvdan.cc/unparam \
		nakabonne:nestif:v0.3.0:nakabonne_nestif/vendor/github.com/nakabonne/nestif \
		nbutton23:zxcvbn-go:ae427f1e4c1d:nbutton23_zxcvbn_go/vendor/github.com/nbutton23/zxcvbn-go \
		nxadm:tail:v1.4.4:nxadm_tail/vendor/github.com/nxadm/tail \
		onsi:ginkgo:v1.14.0:onsi_ginkgo/vendor/github.com/onsi/ginkgo \
		onsi:gomega:v1.10.1:onsi_gomega/vendor/github.com/onsi/gomega \
		pelletier:go-toml:v1.6.0:pelletier_go_toml/vendor/github.com/pelletier/go-toml \
		pkg:errors:v0.9.1:pkg_errors/vendor/github.com/pkg/errors \
		pkg:sftp:4d0e916071f6:pkg_sftp/vendor/github.com/pkg/sftp \
		pmezard:go-difflib:v1.0.0:pmezard_go_difflib/vendor/github.com/pmezard/go-difflib \
		prometheus:client_golang:v0.9.4:prometheus_client_golang/vendor/github.com/prometheus/client_golang \
		prometheus:client_model:fd36f4220a90:prometheus_client_model/vendor/github.com/prometheus/client_model \
		prometheus:common:v0.4.1:prometheus_common/vendor/github.com/prometheus/common \
		prometheus:procfs:v0.0.2:prometheus_procfs/vendor/github.com/prometheus/procfs \
		protocolbuffers:protobuf-go:v1.23.0:protocolbuffers_protobuf_go/vendor/google.golang.org/protobuf \
		russross:blackfriday:v2.0.1:russross_blackfriday_v2/vendor/github.com/russross/blackfriday/v2 \
		ryancurrah:gomodguard:v1.0.4:ryancurrah_gomodguard/vendor/github.com/ryancurrah/gomodguard \
		sanathkr:go-yaml:ed9d249f429b:sanathkr_go_yaml/vendor/github.com/sanathkr/go-yaml \
		sanathkr:yaml:0056894fa522:sanathkr_yaml/vendor/github.com/sanathkr/yaml \
		securego:gosec:v2.3.0:securego_gosec_v2/vendor/github.com/securego/gosec/v2 \
		sergi:go-diff:v1.0.0:sergi_go_diff/vendor/github.com/sergi/go-diff \
		shurcooL:httpfs:8d4bc4ba7749:shurcool_httpfs/vendor/github.com/shurcooL/httpfs \
		shurcooL:sanitized_anchor_name:v1.0.0:shurcool_sanitized_anchor_name/vendor/github.com/shurcooL/sanitized_anchor_name \
		shurcooL:vfsgen:6a9ea43bcacd:shurcool_vfsgen/vendor/github.com/shurcooL/vfsgen \
		sirupsen:logrus:v1.4.2:sirupsen_logrus/vendor/github.com/sirupsen/logrus \
		sourcegraph:go-diff:v0.5.1:sourcegraph_go_diff/vendor/github.com/sourcegraph/go-diff \
		spf13:afero:v1.2.2:spf13_afero/vendor/github.com/spf13/afero \
		spf13:cast:v1.3.0:spf13_cast/vendor/github.com/spf13/cast \
		spf13:cobra:v1.0.0:spf13_cobra/vendor/github.com/spf13/cobra \
		spf13:jwalterweatherman:v1.1.0:spf13_jwalterweatherman/vendor/github.com/spf13/jwalterweatherman \
		spf13:pflag:v1.0.5:spf13_pflag/vendor/github.com/spf13/pflag \
		spf13:viper:v1.6.1:spf13_viper/vendor/github.com/spf13/viper \
		spotinst:spotinst-sdk-go:eb52d7ac273c:spotinst_spotinst_sdk_go/vendor/github.com/spotinst/spotinst-sdk-go \
		sqs:pbtypes:d3ebe8f20ae4:sqs_pbtypes/vendor/sourcegraph.com/sqs/pbtypes \
		stretchr:objx:v0.2.0:stretchr_objx/vendor/github.com/stretchr/objx \
		stretchr:testify:v1.6.1:stretchr_testify/vendor/github.com/stretchr/testify \
		subosito:gotenv:v1.2.0:subosito_gotenv/vendor/github.com/subosito/gotenv \
		tdakkota:asciicheck:d7f85be797a2:tdakkota_asciicheck/vendor/github.com/tdakkota/asciicheck \
		tetafro:godot:v0.3.7:tetafro_godot/vendor/github.com/tetafro/godot \
		tidwall:gjson:v1.1.3:tidwall_gjson/vendor/github.com/tidwall/gjson \
		tidwall:match:v1.0.1:tidwall_match/vendor/github.com/tidwall/match \
		tidwall:sjson:v1.0.2:tidwall_sjson/vendor/github.com/tidwall/sjson \
		timakin:bodyclose:f7f2e9bca95e:timakin_bodyclose/vendor/github.com/timakin/bodyclose \
		tommy-muehle:go-mnd:e6f9a994e8fa:tommy_muehle_go_mnd/vendor/github.com/tommy-muehle/go-mnd \
		tomnomnom:linkheader:02ca5825eb80:tomnomnom_linkheader/vendor/github.com/tomnomnom/linkheader \
		ulikunitz:xz:v0.5.7:ulikunitz_xz/vendor/github.com/ulikunitz/xz \
		ultraware:funlen:v0.0.2:ultraware_funlen/vendor/github.com/ultraware/funlen \
		ultraware:whitespace:v0.0.4:ultraware_whitespace/vendor/github.com/ultraware/whitespace \
		uudashr:gocognit:v1.0.1:uudashr_gocognit/vendor/github.com/uudashr/gocognit \
		vektra:mockery:e78b021dcbb5:vektra_mockery/vendor/github.com/vektra/mockery \
		vmware:govmomi:v0.20.1:vmware_govmomi/vendor/github.com/vmware/govmomi \
		voxelbrain:goptions:58cddc247ea2:voxelbrain_goptions/vendor/github.com/voxelbrain/goptions \
		weaveworks:goformation:943d7e97b454:weaveworks_goformation_v4/vendor/github.com/weaveworks/goformation/v4 \
		weaveworks:launcher:1ca323f1de15:weaveworks_launcher/vendor/github.com/weaveworks/launcher \
		whilp:git-urls:6db9661140c0:whilp_git_urls/vendor/github.com/whilp/git-urls \
		xanzy:go-gitlab:v0.33.0:xanzy_go_gitlab/vendor/github.com/xanzy/go-gitlab \
		xeipuuv:gojsonpointer:02993c407bfb:xeipuuv_gojsonpointer/vendor/github.com/xeipuuv/gojsonpointer \
		xeipuuv:gojsonreference:bd5ef7bd5415:xeipuuv_gojsonreference/vendor/github.com/xeipuuv/gojsonreference \
		xeipuuv:gojsonschema:ac52e6811b56:xeipuuv_gojsonschema/vendor/github.com/xeipuuv/gojsonschema

PLIST_FILES=	bin/${PORTNAME}

GO_TARGET=	./cmd/${PORTNAME}
GO_BUILDFLAGS=	-ldflags="-X github.com/weaveworks/eksctl/pkg/version.gitCommit=${PORTVERSION} \
		-X github.com/weaveworks/eksctl/pkg/version.builtAt=$$(date +'%s')"

post-extract:
	${LN} -fs ${WRKSRC}/vendor/github.com/coredns/coredns ${WRKSRC}/vendor/github.com/miekg/coredns
	${LN} -fs ${WRKSRC}/vendor/github.com/ghodss/yaml ${WRKSRC}/vendor/github.com/sanathkr/yaml
	${LN} -fs ${WRKSRC}/vendor/github.com/kubernetes-sigs/aws-iam-authenticator ${WRKSRC}/vendor/sigs.k8s.io/aws-iam-authenticator

.include <bsd.port.mk>
